/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// #PropertyDefineArea 属性定义区域
/// #PropertyAssignArea 属性赋值区域
/// #ComponentType 组件类型
/// #PropertyName 属性名字
/// 该脚本由模板创建，不可编辑
/// created by cb 2024
using FairyGUI;
using XGame.Framework.FGUI;
using XGame.Framework.UI;

namespace FL.FGUI
{
    /// <summary>
    /// 该脚本由模板创建，不可修改，不可编辑
    /// </summary>
    public partial class PartnerInfoListItemVM : FguiViewModel
    {
        public Controller StateCtrl { get; private set; }
        public Controller GoneUpMaskCtrl { get; private set; }
        public GLoader QualityImg { get; private set; }
        public GLoader PartnerImg { get; private set; }
        public GButton DownBtn { get; private set; }
        public GButton UpBtn { get; private set; }
        public GTextField LevelTxt { get; private set; }

        protected override void BindComponents(GComponent panel, IUIViewAdapter adapter)
        {
            StateCtrl = panel.GetController("StateCtrl");
            GoneUpMaskCtrl = panel.GetController("GoneUpMaskCtrl");
            QualityImg = panel.GetChild("QualityImg") as GLoader;
            PartnerImg = panel.GetChild("PartnerImg") as GLoader;
            DownBtn = panel.GetChild("DownBtn") as GButton;
            UpBtn = panel.GetChild("UpBtn") as GButton;
            LevelTxt = panel.GetChild("LevelTxt") as GTextField;

        }
    }
}